package com.wd.workoffice.ui.activity.mes.user;

import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

import com.alibaba.fastjson.JSON;
import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.bean.event.AddFactoryEvent;
import com.wd.workoffice.bean.mesBean.MachineDetailBean;
import com.wd.workoffice.util.WorkUtils;

import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;

import butterknife.BindView;
import butterknife.ButterKnife;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MesMiddleDetailActivity extends WorkToolBarActivity {


    @BindView(R.id.tv_middle_status)
    TextView tvMiddleStatus;
    @BindView(R.id.tv_three_status)
    TextView tvThreeStatus;
    @BindView(R.id.tv_type)
    TextView tvType;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
    }

    @Override
    protected void initData() {
        MachineDetailBean.SettleListBean dataBean = JSON.parseObject(getIntent().getStringExtra("data"), MachineDetailBean.SettleListBean.class);
        tvMiddleStatus.setText(dataBean.getLadleContractSituation());
        tvThreeStatus.setText(dataBean.getContinuousCastingContractSituation());
        tvType.setText(dataBean.getSettlementMethod());
    }


    @Override
    protected void initEvent() {
    }

    @Override
    protected int layoutId() {
        return R.layout.activity_mes_user_data_other_middle_detail;
    }

}
